package com.njcn.pojo.log;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * PQS_PrintLog配置是否打印log日志。涉及到增删改的必须打日志，查询的可以打印日志，可以不打印
 * */
@Table(name="PQS_PRINTLOG")
public class PrintLog {

	@Id
	@Column(name="PRINTLOG_INDEX")
	private String printLogIndex;
	
	@Column(name="FUNCTION_INDEX")
	private String functionIndex;
	
	@Column(name="ISPRINTORNOT")
	private Integer isPrint;
	
	@Column(name="STATE")
	private Integer state;

	public String getPrintLogIndex() {
		return printLogIndex;
	}

	public void setPrintLogIndex(String printLogIndex) {
		this.printLogIndex = printLogIndex;
	}

	public String getFunctionIndex() {
		return functionIndex;
	}

	public void setFunctionIndex(String functionIndex) {
		this.functionIndex = functionIndex;
	}

	public Integer getIsPrint() {
		return isPrint;
	}

	public void setIsPrint(Integer isPrint) {
		this.isPrint = isPrint;
	}

	public Integer getState() {
		return state;
	}

	public void setState(Integer state) {
		this.state = state;
	}

	@Override
	public String toString() {
		return "PrintLog [printLogIndex=" + printLogIndex + ", functionIndex=" + functionIndex + ", isPrint=" + isPrint
				+ ", state=" + state + "]";
	}
	
	
	
	
}
